petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMallocDumpLog

Dumps the log of all calls to PetscMalloc(); also calls PetscMemoryGetMaximumUsage()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocDumpLog(FILE *fp)

Collective on PETSC_COMM_WORLD Many br

### Input Parameter

fp -file pointer; or NULL Many br

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog() Many br

Many br

### Fortran Note

The calling sequence in Fortran is PetscMallocDumpLog(integer ierr) Many brThe fp defaults to stdout. Many br

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDump(), PetscMallocSetDumpLog()

Level:advanced
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages